<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- cli.qdoc -->
  <title>Command-Line Interface | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Command-Line Interface</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Command-Line Interface</h1>
<span class="subtitle"></span>
<!-- $$$cli-description -->
<div class="descr"> <a name="details"></a>
<p>The <code>qbs</code> command-line commands can be invoked as <code>qbs &lt;command_name&gt;</code>.</p>
<p>This reference summarizes the command-line commands. The authoritative source of up-to-date information is the respective help screen, which you get by calling <code>qbs help &lt;command_name&gt;</code>.</p>
<p>Some commands are described in context in the <a href="usage.html">Usage</a> section of the manual.</p>
</div>
<!-- @@@cli -->
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-build.html">build</a></p></td><td class="tblDescr"><p>Builds a project.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-clean.html">clean</a></p></td><td class="tblDescr"><p>Removes the files generated during a build.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-config.html">config</a></p></td><td class="tblDescr"><p>Manages Qbs settings, such as preferences and profiles.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-config-ui.html">config-ui</a></p></td><td class="tblDescr"><p>Opens a GUI application for managing Qbs settings, such as preferences and profiles.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-create-project.html">create-project</a></p></td><td class="tblDescr"><p>Creates a Qbs project from an existing set of source files.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-dump-nodes-tree.html">dump-nodes-tree</a></p></td><td class="tblDescr"><p>Dumps the nodes in the build graph to stdout.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-generate.html">generate</a></p></td><td class="tblDescr"><p>Invokes a project generator, for example to create project files for another build tool.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-help.html">help</a></p></td><td class="tblDescr"><p>Shows general or command-specific help.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-install.html">install</a></p></td><td class="tblDescr"><p>Installs a project.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-list-products.html">list-products</a></p></td><td class="tblDescr"><p>Lists all products in the given project.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-resolve.html">resolve</a></p></td><td class="tblDescr"><p>Resolves a project without building it.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-run.html">run</a></p></td><td class="tblDescr"><p>Runs an executable generated by building a project.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-session.html">session</a></p></td><td class="tblDescr"><p>Starts a session for interacting with an IDE</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-setup-android.html">setup-android</a></p></td><td class="tblDescr"><p>Creates Qbs profiles for Android SDK and NDK installations.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-setup-qt.html">setup-qt</a></p></td><td class="tblDescr"><p>Creates Qbs profiles for Qt installations.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-setup-toolchains.html">setup-toolchains</a></p></td><td class="tblDescr"><p>Creates Qbs profiles for toolchains, such as GCC or MSVC.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-shell.html">shell</a></p></td><td class="tblDescr"><p>Opens a shell with a product's environment.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-version.html">show-version</a></p></td><td class="tblDescr"><p>Prints the Qbs version.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="cli-status.html">status</a></p></td><td class="tblDescr"><p>Shows the status of files in the project directory.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="cli-update-timestamps.html">update-timestamps</a></p></td><td class="tblDescr"><p>Marks the build as up-to-date.</p></td></tr>
</table></div>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
